Page MenuHomePhabricator

Make dashboard views linkable and resistant to refresh
Closed, ResolvedPublic

Description

The translation dashboard has three views: suggestions, in progress and published.
Users cannot link to the suggestions view, and every time they refresh the page, the view changes to the default one.

This can be fixed by connecting it to the URL in some way (e.g., using a hash parameter).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 11 2015, 11:55 AM
Amire80 triaged this task as Normal priority.Dec 13 2015, 9:31 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 14 2015, 9:56 AM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:50 PM

It is linkable to suggestions now by using \#suggestions

Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:09 PM
Petar.petkovic closed this task as Resolved.Mar 2 2018, 11:26 PM
Petar.petkovic assigned this task to santhosh.
Petar.petkovic added a subscriber: Petar.petkovic.

It is linkable to suggestions now by using \#suggestions

Support for this is added in this patch.

But we don't add the anchor automatically, so refresh still loses the selected tab.

Change 526502 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Make dashboard lists linkable and resistant to refresh

https://gerrit.wikimedia.org/r/526502

Did this as a bonus while completing T115458.

Change 526502 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make dashboard lists linkable and resistant to refresh

https://gerrit.wikimedia.org/r/526502

Jpita added a subscriber: Jpita.Aug 1 2019, 2:56 PM

QA NOTES (dev can ignore):
Check in prod: bookmarked suggestion articles are duplicated when we go back to wiki and back to cx tool

Jpita closed this task as Resolved.Aug 8 2019, 9:37 PM